Class | Test::Unit::TestSuiteAdapter
In: | lib/spec/interop/test/unit/testsuite_adapter.rb
Parent: | TestSuite

### Methods

delete empty? name new run size

### External Aliases

examples | -> | tests

### Attributes

example_group | [R] |
examples | [R] |

### Public Class methods

new(example_group)

[Source]

       # File lib/spec/interop/test/unit/testsuite_adapter.rb, line 6
    6:       def initialize(example_group)
    7:         @example_group = example_group
    8:         @examples = example_group.examples
    9:       end

### Public Instance methods

delete(example)

[Source]

        # File lib/spec/interop/test/unit/testsuite_adapter.rb, line 24
    24:       def delete(example)
    25:         examples.delete example
    26:       end

empty?()

[Source]

        # File lib/spec/interop/test/unit/testsuite_adapter.rb, line 28
    28:       def empty?
    29:         examples.empty?
    30:       end

name()

[Source]

        # File lib/spec/interop/test/unit/testsuite_adapter.rb, line 11
    11:       def name
    12:         example_group.description
    13:       end

run(*args)

[Source]

        # File lib/spec/interop/test/unit/testsuite_adapter.rb, line 15
    15:       def run(*args)
    16:         return true unless args.empty?
    17:         example_group.run
    18:       end

size()

[Source]

        # File lib/spec/interop/test/unit/testsuite_adapter.rb, line 20
    20:       def size
    21:         example_group.number_of_examples
    22:       end

[Validate]